/*global $,owl,smoothScroll,WOW*/
$(document).ready(function () {
    "use strict";
    $('.hero').owlCarousel({
        center: true,
        items: 1.2,
        loop: true,
        dots: false,
        navText: ["<span class='slider-left'><i class='fa fa-long-arrow-left'></i></span>", "<span class='slider-right'><i class='fa fa-long-arrow-right'></i></span>"],
        nav: true,
        autoplay: 4000
    });
    $('.desktop-wrapper .cat-slider').owlCarousel({
        center: true,
        items: 8,
        loop: true,
        dots: false,
        nav: false,
        autoplay: 4000
    });
    $('.mobile-wrapper .cat-slider').owlCarousel({
        center: true,
        items: 4,
        loop: true,
        dots: false,
        nav: false,
        autoplay: 4000,
        responsive: {
            375: {
                items: 3.9
            },
            360: {
                items: 3.4
            }
        }
    });
    $('.desktop-wrapper .newest-prods').owlCarousel({
        center: true,
        items: 5.4,
        loop: true,
        dots: false,
        nav: false,
        autoplay: 4000
    });
    $('.mobile-wrapper .newest-prods').owlCarousel({
        center: true,
        items: 3.5,
        loop: true,
        dots: false,
        nav: false,
        autoplay: 4000,
        responsive: {
            375: {
                items: 1.5
            },
            360: {
                items: 1.4
            }
        }
    });
    $('.desktop-wrapper .blue-slider').owlCarousel({
        center: true,
        items: 4.3,
        loop: true,
        dots: false,
        nav: false,
        autoplay: 4000
    });
    $('.mobile-wrapper .blue-slider').owlCarousel({
        center: true,
        items: 2.3,
        loop: true,
        dots: false,
        nav: false,
        autoplay: 4000,
        responsive: {
            375: {
                items: 1.5
            },
            360: {
                items: 1.4
            }
        }
    });
    $('.desktop-wrapper .list-slider').owlCarousel({
        center: true,
        items: 2.3,
        loop: true,
        dots: false,
        nav: false,
        autoplay: 4000
    });
    $('.list-slider').owlCarousel({
        center: true,
        items: 1.1,
        loop: true,
        dots: false,
        nav: false,
        autoplay: false,
        responsive: {
            375: {
                items: 1.2
            }
        }
    });

    $('.pro-slider').owlCarousel({
    animateIn: 'bounceIn',
        center: true,
        items: 1,
        loop: true,
        dots: true,
        nav: false,
        autoplay: 1000,
        slideSpeed: 500
    });

    /* ---------------------------------------------
     Loader Screen
    --------------------------------------------- */

    $('[data-tool="tooltip"]').tooltip({
        trigger: 'hover',
        animate: true,
        delay: 50,
        container: 'body'
    });


    //for smoth scroll
    smoothScroll.init({
        speed: 800,
        updateURL: false,
        offset: 15
    });

    var wow = new WOW({
        boxClass: 'wow', // animated element css class (default is wow)
        animateClass: 'animated', // animation css class (default is animated)
        mobile: true, // trigger animations on mobile devices (default is true)
        live: true,
        offset: 0,
        scrollContainer: null // optional scroll container selector, otherwise use window
    });
    wow.init();

    /* ---------------------------------------------
     Scrool To Top Button Function
    --------------------------------------------- */
    $(window).scroll(function () {
        if ($(this).scrollTop() > 500) {
            $(".toTop").css("right", "20px");
        } else {
            $(".toTop").css("right", "-60px");
        }
    });

    $(".toTop").click(function () {
        $("html,body").animate({
            scrollTop: 0
        }, 500);
        return false;
    });


    //customize the header
    $(window).scroll(function () {
        if ($(this).scrollTop() > 0) {
            $('.main-head').addClass('sticky');
        } else {
            $('.main-head').removeClass('sticky');
        }
    });

    $('.side-nav').mCustomScrollbar({
        autoHideScrollbar: false,
        setTop: 0,
        scrollInertia: 50,
        theme: "light-1"
    });
    $('.sidebar').mCustomScrollbar({
        autoHideScrollbar: false,
        setTop: 0,
        scrollInertia: 50,
        theme: "dark-2",
        mouseWheel: {
            preventDefault: true
        }
    });



    $('.search-area, .open-search').on("click", function (e) {
        e.stopPropagation();
    });

    $('.open-search').on('click', function () {
        $('.search-area').stop();
        $('.search-area').slideToggle();
        $(this).toggleClass('active');
    });

    $('body').on('click', function () {
        if ($('.open-search').hasClass('active')) {
            $('.search-area').slideUp();
            $('.open-search').removeClass('active');
        }
    });

    $('.open-sidebar').on('click', function () {
        $('.wrapper').stop();
        $('.wrapper').toggleClass('shifted');
        $('.r-overlay').addClass('active');
        $(this).addClass('active');
        $('html,body').toggleClass('stopped');
    });

    $('.r-overlay').on('click', function () {
        $('.wrapper').toggleClass('shifted');
        $('.r-overlay').removeClass('active');
        $('.open-sidebar').removeClass('active');
        $('html,body').toggleClass('stopped');
    });


    $(".d-slider, .small-cats").mCustomScrollbar({
        axis: "x",
        theme: "dark-3",
        advanced: {
            autoExpandHorizontalScroll: true
        },
        setTop: 0,
        scrollInertia: 100
    });

    $('#color_ch').change(function () {
        if (this.checked) {
            $('body').addClass('dark');
        } else {
            $('body').removeClass('dark');
        }
    });

    //cart plus & minus counter
    $(".qtybutton").on("click", function () {
        var $button = $(this);
        var oldValue = $button.parent().find("input").val();
        if ($button.text() == "+") {
            var newVal = parseFloat(oldValue) + 1;
        } else {
            // Don't allow decrementing below zero
            if (oldValue > 0) {
                var newVal = parseFloat(oldValue) - 1;
            } else {
                newVal = 0;
                alert('last number you can reach is 0');
            }
        }
        $button.parent().find("input").val(newVal);
    });

    $('.edit_btn').click(function () {
        $('.u-view').css({
            display: 'none'
        });
        $('.u-edit').css({
            display: 'block'
        });
    });

    $('.e-per').click(function () {
        $('.p-view').css({
            display: 'none'
        });
        $('.p-edit').css({
            display: 'block'
        });
    });

    $('.active-rev').click(function () {
        $('.review-data').closest('.form-control').removeAttr('readonly');
        $(this).hide();
    });


    NProgress.configure({
        showSpinner: false
    });
    NProgress.start();
    $('#nprogress .peg').css({
        'box-shadow': '0 0 10px #ff5858, 0 0 5px #ff5858'
    });
    NProgress.done();


    if ($('.select2').length) {
        $('.select2').select2();
    }

    if ($('.select-nosearch').length) {
        $('.select-nosearch').select2({
            minimumResultsForSearch: Infinity
        });
    }

    $('#visa-input').blur(function () {
        $(this).val(function (i, v) {
            var v = v.replace(/[^\d]/g, '').match(/.{1,4}/g);
            return v ? v.join(' - ') : '';
        });
    });

    $(".cc-num,#visa-input").keydown(function (e) {
        // Allow: backspace, delete, tab, escape, enter and .
        if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
            // Allow: Ctrl/cmd+A
            (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
            // Allow: Ctrl/cmd+C
            (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
            // Allow: Ctrl/cmd+X
            (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
            // Allow: home, end, left, right
            (e.keyCode >= 35 && e.keyCode <= 39)) {
            // let it happen, don't do anything
            return;
        }
        // Ensure that it is a number and stop the keypress
        if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
            e.preventDefault();
        }
    });

    if ($('input[name="birthdate"]').length) {
        $(function () {
            $('input[name="birthdate"]').daterangepicker({
                "singleDatePicker": true,
                "alwaysShowCalendars": true,
                "endDate": "07/19/2018",
                "minDate": "12/11/2018",
                locale: {
                    format: 'DD/M/YYYY'
                },
                "opens": "center"
            }, function (start, end, label) {
                console.log('New date range selected: ' + start.format('YYYY-MM-DD') + ' to ' + end.format('YYYY-MM-DD') + ' (predefined range: ' + label + ')');
            });
        });
    }

    $('.orders .nav-tabs li:first-child').click(function () {
       $('.orders .nav-tabs').children(":first-child").parents('.orders').addClass("tr-n").removeClass('tl-n');
    });
    
    if($('.orders .nav-tabs li:first-child').hasClass('active')){
        $('.orders .nav-tabs').children(":first-child").parents('.orders').addClass("tr-n"); 
    }
    
    $('.orders .nav-tabs li:last-child').click(function () {
       $('.orders .nav-tabs').children(":last-child").parents('.orders').removeClass("tr-n").addClass('tl-n');
    });
    
    $('.orders .nav-tabs li:nth-child(2)').click(function () {
       $('.orders .tab-content').css({
           borderTopLeftRadius: '10px',
           borderTopRightRadius: '10px'
       });
        
        $('.orders').removeClass('tr-n tl-n');
    });
    
    $('.reports .nav-tabs li:last-child').click(function () {
       $('.orders .tab-content').addClass('tl-n');
    });

});